Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025021
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-10-25 09:322014-06-12 15:26
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP31
StatusclosedFix in branchFixed in SCM revision44423734da22
ProjectionnoneETAnoneTarget VersionRMP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025021: Bardcodes are not printed

DescriptionBardcodes are not printed
Steps To Reproduce-Configure a printer connected to a serial port
-Print a receipt

Verify that bardcode is not printed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062150)
hgbot (developer)
2013-11-15 14:54

Repository: erp/pmods/retail-hw
Changeset: 648c6af3705a050328b2ed29e1b2920584ce005b
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Nov 15 14:54:06 2013 +0100
URL: http://code.openbravo.com/erp/pmods/retail-hw/rev/648c6af3705a050328b2ed29e1b2920584ce005b [^]

Fixed issue 25021. CODE128 barcodes will be printed when the hardware manager is configured with the serial port.

---
M src/com/openbravo/pos/printer/DeviceTicket.java
M src/com/openbravo/pos/printer/escpos/Codes.java
M src/com/openbravo/pos/printer/escpos/ESCPOS.java
---
(0063426)
hgbot (developer)
2014-01-15 17:32

Repository: erp/pmods/retail-hw
Changeset: 44423734da22c556629f1dbdfc92dfcd4a807d29
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jan 15 17:32:28 2014 +0100
URL: http://code.openbravo.com/erp/pmods/retail-hw/rev/44423734da22c556629f1dbdfc92dfcd4a807d29 [^]

fixed issue 25021: star printers are now able to print code128 barcodes

---
M src/com/openbravo/pos/printer/DeviceTicket.java
M src/com/openbravo/pos/printer/escpos/Codes.java
M src/com/openbravo/pos/printer/escpos/CodesStar.java
---
(0063627)
hgbot (developer)
2014-01-22 18:04

Repository: erp/pmods/retail-hw
Changeset: 3c272f47cf0e14f7f5f1509602dde77fa75909ab
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jan 22 18:04:03 2014 +0100
URL: http://code.openbravo.com/erp/pmods/retail-hw/rev/3c272f47cf0e14f7f5f1509602dde77fa75909ab [^]

related to issue 25021: new methods should be static

---
M src/com/openbravo/pos/printer/escpos/Codes.java
---
(0063629)
adrianromero (manager)
2014-01-22 23:09

Reviewed code for Star printers
(0063649)
hgbot (developer)
2014-01-23 11:42

Repository: erp/pmods/retail-hw
Changeset: 3c7759c97ee765b7d318739d50701a147c342c55
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Jan 23 11:37:04 2014 +0100
URL: http://code.openbravo.com/erp/pmods/retail-hw/rev/3c7759c97ee765b7d318739d50701a147c342c55 [^]

Related to issue 25021: code128 barcodes are working fine in epson TM-T88V and TM-T88IV even having more than 12 characters

---
M src/com/openbravo/pos/printer/escpos/Codes.java
M src/com/openbravo/pos/printer/escpos/CodesStar.java
M src/com/openbravo/pos/printer/escpos/ESCPOS.java
---
(0067918)
hgbot (developer)
2014-06-12 09:42

Repository: erp/pmods/retail-hw-paymentprovider
Changeset: 648c6af3705a050328b2ed29e1b2920584ce005b
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Nov 15 14:54:06 2013 +0100
URL: http://code.openbravo.com/erp/pmods/retail-hw-paymentprovider/rev/648c6af3705a050328b2ed29e1b2920584ce005b [^]

Fixed issue 25021. CODE128 barcodes will be printed when the hardware manager is configured with the serial port.

---
M src/com/openbravo/pos/printer/DeviceTicket.java
M src/com/openbravo/pos/printer/escpos/Codes.java
M src/com/openbravo/pos/printer/escpos/ESCPOS.java
---
(0067919)
hgbot (developer)
2014-06-12 09:43

Repository: erp/pmods/retail-hw-paymentprovider
Changeset: 44423734da22c556629f1dbdfc92dfcd4a807d29
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jan 15 17:32:28 2014 +0100
URL: http://code.openbravo.com/erp/pmods/retail-hw-paymentprovider/rev/44423734da22c556629f1dbdfc92dfcd4a807d29 [^]

fixed issue 25021: star printers are now able to print code128 barcodes

---
M src/com/openbravo/pos/printer/DeviceTicket.java
M src/com/openbravo/pos/printer/escpos/Codes.java
M src/com/openbravo/pos/printer/escpos/CodesStar.java
---
(0067920)
hgbot (developer)
2014-06-12 09:43

Repository: erp/pmods/retail-hw-paymentprovider
Changeset: 3c272f47cf0e14f7f5f1509602dde77fa75909ab
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jan 22 18:04:03 2014 +0100
URL: http://code.openbravo.com/erp/pmods/retail-hw-paymentprovider/rev/3c272f47cf0e14f7f5f1509602dde77fa75909ab [^]

related to issue 25021: new methods should be static

---
M src/com/openbravo/pos/printer/escpos/Codes.java
---
(0067921)
hgbot (developer)
2014-06-12 09:43

Repository: erp/pmods/retail-hw-paymentprovider
Changeset: 3c7759c97ee765b7d318739d50701a147c342c55
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Jan 23 11:37:04 2014 +0100
URL: http://code.openbravo.com/erp/pmods/retail-hw-paymentprovider/rev/3c7759c97ee765b7d318739d50701a147c342c55 [^]

Related to issue 25021: code128 barcodes are working fine in epson TM-T88V and TM-T88IV even having more than 12 characters

---
M src/com/openbravo/pos/printer/escpos/Codes.java
M src/com/openbravo/pos/printer/escpos/CodesStar.java
M src/com/openbravo/pos/printer/escpos/ESCPOS.java
---
(0067953)
mtaal (manager)
2014-06-12 15:26

reclosing

- Issue History
Date Modified Username Field Change
2013-10-25 09:32 jecharri New Issue
2013-10-25 09:32 jecharri Assigned To => marvintm
2013-10-25 09:32 jecharri Triggers an Emergency Pack => No
2013-11-15 14:54 hgbot Checkin
2013-11-15 14:54 hgbot Note Added: 0062150
2013-11-15 14:54 hgbot Status new => resolved
2013-11-15 14:54 hgbot Resolution open => fixed
2013-11-15 14:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/retail-hw/rev/648c6af3705a050328b2ed29e1b2920584ce005b [^]
2013-11-20 10:40 guilleaer Review Assigned To => guilleaer
2013-11-20 10:41 guilleaer Status resolved => closed
2013-11-20 10:41 guilleaer Fixed in Version => RMP29
2014-01-15 17:32 hgbot Checkin
2014-01-15 17:32 hgbot Note Added: 0063426
2014-01-15 17:32 hgbot Status closed => resolved
2014-01-15 17:32 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/retail-hw/rev/648c6af3705a050328b2ed29e1b2920584ce005b [^] => http://code.openbravo.com/erp/pmods/retail-hw/rev/44423734da22c556629f1dbdfc92dfcd4a807d29 [^]
2014-01-22 18:04 hgbot Checkin
2014-01-22 18:04 hgbot Note Added: 0063627
2014-01-22 23:09 adrianromero Review Assigned To guilleaer => adrianromero
2014-01-22 23:09 adrianromero Note Added: 0063629
2014-01-22 23:09 adrianromero Status resolved => closed
2014-01-22 23:09 adrianromero Fixed in Version RMP29 => RMP31
2014-01-23 11:42 hgbot Checkin
2014-01-23 11:42 hgbot Note Added: 0063649
2014-06-12 09:42 hgbot Checkin
2014-06-12 09:42 hgbot Note Added: 0067918
2014-06-12 09:42 hgbot Status closed => resolved
2014-06-12 09:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/retail-hw/rev/44423734da22c556629f1dbdfc92dfcd4a807d29 [^] => http://code.openbravo.com/erp/pmods/retail-hw-paymentprovider/rev/648c6af3705a050328b2ed29e1b2920584ce005b [^]
2014-06-12 09:43 hgbot Checkin
2014-06-12 09:43 hgbot Note Added: 0067919
2014-06-12 09:43 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/retail-hw-paymentprovider/rev/648c6af3705a050328b2ed29e1b2920584ce005b [^] => http://code.openbravo.com/erp/pmods/retail-hw-paymentprovider/rev/44423734da22c556629f1dbdfc92dfcd4a807d29 [^]
2014-06-12 09:43 hgbot Checkin
2014-06-12 09:43 hgbot Note Added: 0067920
2014-06-12 09:43 hgbot Checkin
2014-06-12 09:43 hgbot Note Added: 0067921
2014-06-12 15:26 mtaal Note Added: 0067953
2014-06-12 15:26 mtaal Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker